com.ihr.xbrl.om.table.definition

## Class TypedDimensionAspectNode

- java.lang.Object
- - com.ihr.xbrl.om.table.definition.DimensionAspectNode<XMLFragment>
  - - com.ihr.xbrl.om.table.definition.TypedDimensionAspectNode

- All Implemented Interfaces:
    DimensionAspectInterface<XMLFragment>, DimensionsAspectInterface<XMLFragment>, HasAspectNode, MutableAspectValue, TypedDimensionsAspectInterface, Aspect<DimensionAndValuePair<XMLFragment>>

      public class TypedDimensionAspectNode
      extends DimensionAspectNode<XMLFragment>
      implements TypedDimensionsAspectInterface

  The Class TypedDimensionAspectNode.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel(CellHeader ch)` Returns a text representation of the aspect value that can be used in the GUI as the cell header.
    `XMLFragment[]` | `getMember()` Obtains the member this aspect resolves to.
    `DimensionAndFragmentMemberPair` | `getMember(XBRLStructuralTable table, CellHeader[] header)` Convert this aspect into a proper Member
    `int` | `getMembersCount()` Gets the members count.
    `void` | `resetNode()` Reset node.
    `void` | `setValues(java.util.Set<?> distinctValues)` Sets the values.

    - ### Methods inherited from class com.ihr.xbrl.om.table.definition.DimensionAspectNode

      `create, getAspectClashIdentity, getAspectNode, getAspectType, getDimension`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.om.table.definition.DimensionAspectInterface

      `getDimension`

    - ### Methods inherited from interface com.ihr.xbrl.om.table.structural.Aspect

      `getAspectClashIdentity, getAspectType`

- - ### Method Detail

    - #### setValues

          public void setValues(java.util.Set<?> distinctValues)

      Description copied from interface: `DimensionsAspectInterface`
      Sets the values.
      Specified by:
        `setValues` in interface `DimensionsAspectInterface<XMLFragment>`
      Specified by:
        `setValues` in interface `MutableAspectValue`
      Parameters:
        `distinctValues` - the new values

    - #### getMember

          public XMLFragment[] getMember()

      Description copied from interface: `TypedDimensionsAspectInterface`
      Obtains the member this aspect resolves to.
      Specified by:
        `getMember` in interface `TypedDimensionsAspectInterface`
      Returns:
        XMLFragment, dimension member

    - #### getMembersCount

          public int getMembersCount()

      Description copied from interface: `DimensionsAspectInterface`
      Gets the members count.
      Specified by:
        `getMembersCount` in interface `DimensionAspectInterface<XMLFragment>`
      Specified by:
        `getMembersCount` in interface `DimensionsAspectInterface<XMLFragment>`
      Returns:
        the members count

    - #### getMember

          public DimensionAndFragmentMemberPair getMember(XBRLStructuralTable table,
                                                 CellHeader[] header)

      Description copied from interface: `Aspect`
      Convert this aspect into a proper Member depending on the aspect type. Member can be used later to search for facts that satisfy the set of members
      Specified by:
        `getMember` in interface `Aspect<DimensionAndValuePair<XMLFragment>>`
      Parameters:
        `table` - the table
        `header` - the header
      Returns:
        the member

    - #### resetNode

          public void resetNode()

      Description copied from interface: `DimensionAspectInterface`
      Reset node.
      Specified by:
        `resetNode` in interface `DimensionAspectInterface<XMLFragment>`

    - #### getLabel

          public java.lang.String getLabel(CellHeader ch)

      Description copied from interface: `MutableAspectValue`
      Returns a text representation of the aspect value that can be used in the GUI as the cell header.
      Specified by:
        `getLabel` in interface `MutableAspectValue`
      Parameters:
        `ch` - the ch
      Returns:
        the label